### Hierarchy

- StatePropsOfLayout
  - MaterialCategorizationStepperLayoutRendererProps

## Index

### Properties

- config
- data
- direction
- enabled
- path
- renderers
- schema
- uischema
- visible

## Properties

### Optional config

config: any

Inherited from StatePropsOfRenderer.config

Any configuration options for the element.

### data

data: any

Overrides StatePropsOfRenderer.data

- Defined in packages/material/src/layouts/MaterialCategorizationStepperLayout.tsx:56

### direction

direction: "row" | "column"

Inherited from StatePropsOfLayout.direction

Direction for the layout to flow

### enabled

enabled: boolean

Inherited from StatePropsOfRenderer.enabled

Whether the rendered element should be enabled.

### path

path: string

Inherited from StatePropsOfRenderer.path

Instance path the data is written to, in case of a control.

### Optional renderers

renderers: any[]

Inherited from StatePropsOfLayout.renderers

All available renderers.

### schema

schema: JsonSchema

Inherited from StatePropsOfRenderer.schema

The JSON schema that describes the data.

### uischema

uischema: UISchemaElement

Inherited from StatePropsOfRenderer.uischema

The UI schema to be rendered.

### visible

visible: boolean

Inherited from StatePropsOfRenderer.visible

Whether the rendered element should be visible.

Generated using TypeDoc